1 Reply Latest reply: Feb 6, 2013 6:57 AM by Dave Stowe
juanmozo Level 1 (0 points)

how to sinc my ipod touch 5 generation from my macbook


MacBook, Mac OS X (10.5.8)
  • Dave Stowe Level 5 (5,085 points)

    You will need at least 10.6.8 Snow Leopard and iTunes 7 to sync with your iPod Touch......it is listed in the System Requirements for the device.....you appear to be running 10.5.8 Leopard....from your profile....